
<!DOCTYPE html>
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1.0">

</head>
<body>

<div class="header">
  <h1>Farmacias Region Metropolitana</h1>
</div>
<div class="row pad-2" >
    <div class="col-6">
      <div class="row">
          <h4>Local </h4><input class="col-12" type="text"  value="" [(ngModel)]="local" placeholder="Local" >
          <h4  class="label-form">Comuna </h4><input name="comuna" ngModel class="col-12" type="text"  [(ngModel)]="comuna"  value="" placeholder="Comuna">
      </div>
    </div>
    <div class="col-6">
        <button class="pure-material-button-contained button-fix"  (click)="search()">Buscar</button>
    </div>  
</div>
<div class="row error-style">
  {{error}}
</div> 
<div class="row container" >
    <div *ngFor='let local of locals' class="col-6 box" >
        <div class="card">
            <h2 class="title">{{ local.local_nombre | uppercase }}</h2>
            <h4>DIRECCIÓN: {{ local.local_direccion | uppercase }}</h4>
            <h4>TELÉFONO: {{ local.local_telefono | uppercase }}</h4>
            <agm-map [zoom]="14" [latitude]="local.local_lat" [longitude]="local.local_lng">
                <agm-marker [latitude]="local.local_lat" [longitude]="local.local_lng"></agm-marker>
            </agm-map>
        </div>
    </div>
</div>


<div class="footer">
  <p>Desarrollador por Pedro Gomez en Angular 8</p>
</div>

</body>
</html>



